Page MenuHomePhabricator

Sometimes full-URL external links are created instead of cross language links or unadapted internal links
Closed, ResolvedPublic

Description

Example: When translating Florence Dauchez from French to English, in the first translated revision several links were created with full URLs, such as //fr.wikipedia.org/wiki/Festival_international_de_Leipzig.

All of them either were either red in the French Wikipedia, or they did exist in French, but not in English.

They definitely shouldn't be added like this. They should either not be links at all, or they should be local red links inside English.

This is similar to T118087, but that bug talks about links such as [[:fr:Title]].

Reported at https://www.mediawiki.org/wiki/Topic:T7ofoqq6mpi4wjdk

Event Timeline

Amire80 created this task.Jul 14 2016, 5:30 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJul 14 2016, 5:30 AM
Amire80 triaged this task as Normal priority.Jul 20 2016, 6:09 AM
Amire80 moved this task from Needs Triage to Bugs on the ContentTranslation board.
Nnvu added a subscriber: Nnvu.Jul 23 2016, 11:17 AM
Amire80 moved this task from Bugs to Out of Beta on the ContentTranslation board.May 9 2017, 5:32 PM
Pginer-WMF closed this task as Resolved.Feb 18 2019, 2:32 PM
Pginer-WMF claimed this task.
Pginer-WMF added a subscriber: Pginer-WMF.

This should work in the new version. @Amire80, feel free to reopen if you find new instances of the issue.